/**
 *	tblchk.c	n.k.	june 1992
 *	tb2chk.c	k.f.	nov. 1996
 *
 *  tblcheck() - tbl_read()
 *
 * Modifications:
 *  n.k. jul.26,1995  show version (v1.4)
 *  k.f. nov.5,1996   for tbllib2 (v2.0)
 *  k.f. aug.12.2002  print error message (v2.1)
**/
static char what_tb2chk[] =
"@(#)tb2chk.c, v2.1.0, n.k, k.f, linac table check, jun.1992-aug.2002";

/*** definitions ***/
/* #include  <stdio.h> (included in tb2.h, and may cause error on os9) */
#include  "tb2.h"

/**
 *   tblcheck main
**/
main( argc, argv )
int    argc;
char   *argv[];
{
  int rtn;
  char errmsg[256];

  if( argc == 2 )    rtn = tbl_read( argv[1] );
  else               goto USAGE;

  printf( " return code = %d\n", rtn );
  tbl_errmsg( errmsg );
  printf( "%s\n", errmsg );
  exit( rtn );

USAGE:
  fprintf( stderr, "%s %s - check table varidity\n\n", argv[0], TBL_VER );
  fprintf( stderr, "Usage: %s abbr\n", argv[0] );
  fprintf( stderr, "       abbr is abbreviation of table filename\n" );
  fprintf( stderr, "         (default=tbl, search for 'tbltbl.tbl')\n" );
  fprintf( stderr, "Example: %s mg  -- search & check 'mgtbl.tbl'\n", argv[0]);
  exit( 1 );
}
